Bug 2223592 - Review Request: libpeas2 - Plug-ins implementation convenience library
Summary: Review Request: libpeas2 - Plug-ins implementation convenience library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: https://wiki.gnome.org/Projects/Libpeas
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-18 11:02 UTC by David King
Modified: 2023-09-13 07:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-13 07:32:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description David King 2023-07-18 11:02:40 UTC
Spec URL: https://amigadave.fedorapeople.org/libpeas2.spec
SRPM URL: https://amigadave.fedorapeople.org/libpeas2-1.99.0-1.fc39.src.rpm
Description: libpeas is a convenience library making adding plug-ins support to glib-based applications.
Fedora Account System Username: amigadave

Comment 1 Fedora Review Service 2023-07-18 11:10:20 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6181822
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2223592-libpeas2/fedora-rawhide-x86_64/06181822-libpeas2/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Bastien Nocera 2023-09-12 14:41:05 UTC
This is blocking totem's CI:
https://gitlab.gnome.org/GNOME/totem/-/merge_requests/373

Any news on when it would get merged?

Comment 3 David King 2023-09-13 07:32:59 UTC
This work will instead be merged into the original libpeas package: https://src.fedoraproject.org/rpms/libpeas/pull-request/4
with the libpeas1 package providing the libpeas 1 API: https://src.fedoraproject.org/rpms/libpeas1/pull-request/1
Both merge requests are currently awaiting review, and the work is also needed for gnome-builder.


Note You need to log in before you can comment on or make changes to this bug.